## org.apache.lucene.facet.index.categorypolicy
Interface PathPolicy

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultPathPolicy, NonTopLevelPathPolicy

    public interface PathPolicy

extends Serializable

Filtering category paths in `CategoryParentsStream`, where a given category is added to the stream, and than all its parents are being added one after the other by successively removing the last component.
That loop should have a stop point - the default approach (excluding the ROOT) is implemented in `DefaultOrdinalPolicy`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`boolean` `shouldAdd(CategoryPath categoryPath)` Check whether a given category path should be added to the stream.

Method Detail

### shouldAdd

    boolean shouldAdd(CategoryPath categoryPath)

  Check whether a given category path should be added to the stream.

  Parameters:
    `categoryPath` - A given category path which is to be tested for stream addition.
  Returns:
    `true` if the category path should be added. `false` otherwise.